Name:		fermilab-conf_kerberos-local-passwords 
Version:	1.0
Release:	2.1
Summary:	Enables use of KERBEROS passwords to authenticate local users

Group:		Fermilab
License:	GPL
URL:		http://helpdesk.fnal.gov

Source0:	%{name}.sh

BuildArch:	noarch
BuildRequires:	coreutils bash

Requires:	fermilab-conf_kerberos
Requires:	pam_krb5 krb5-workstation authconfig coreutils util-linux bash

%description
The default configuration of Enterprise Linux is to require local passwords,
which may not be suitable for all situations.

This RPM will update the system pam configuration to allow FNAL.GOV KERBEROS
passwords to be used in addition to any local passwords.


%prep


%build


%install
rm -rf %{buildroot}
%{__install} -D %{SOURCE0} %{buildroot}/%{_libexecdir}/%{name}/%{name}.sh

%clean
rm -rf %{buildroot}

%check
bash -n %{buildroot}/%{_libexecdir}/%{name}/%{name}.sh

%post  -p /bin/bash
CURRENT_INSTALLS_OF_THIS_PACKAGE=${1:-0}

%{_libexecdir}/%{name}/%{name}.sh ${CURRENT_INSTALLS_OF_THIS_PACKAGE}
%preun -p /bin/bash
CURRENT_INSTALLS_OF_THIS_PACKAGE=${1:-0}

%{_libexecdir}/%{name}/%{name}.sh ${CURRENT_INSTALLS_OF_THIS_PACKAGE}

%files
%defattr(0644,root,root,0755)
%doc
%attr(0750,root,root) %{_libexecdir}/%{name}/%{name}.sh

%changelog
* Tue Nov 17 2015 Pat Riehecky <riehecky@fnal.gov> 1.0-2.1
- Cleaner calling of the post/preun scripts

* Wed Nov 11 2015 Pat Riehecky <riehecky@fnal.gov> 1.0-2
- Fixed path to post/preun script

* Thu Nov 5 2015 Pat Riehecky <riehecky@fnal.gov> 1.0-1
- Initial build for EL7
